public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Conrad Kostecki" <conikost@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-misc/sstp-client/
Date: Sat, 17 Apr 2021 19:20:28 +0000 (UTC)	[thread overview]
Message-ID: <1618687171.bb78b76f97c8a13d4bd3f9fcb36f2a323ee1de2d.conikost@gentoo> (raw)

commit:     bb78b76f97c8a13d4bd3f9fcb36f2a323ee1de2d
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 17 18:34:07 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Sat Apr 17 19:19:31 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bb78b76f

net-misc/sstp-client: migrate to glep 81

Closes: https://bugs.gentoo.org/781437
Closes: https://bugs.gentoo.org/717416
Closes: https://bugs.gentoo.org/696958
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-misc/sstp-client/sstp-client-1.0.12-r1.ebuild | 63 +++++++++++++++++++++++
 1 file changed, 63 insertions(+)

diff --git a/net-misc/sstp-client/sstp-client-1.0.12-r1.ebuild b/net-misc/sstp-client/sstp-client-1.0.12-r1.ebuild
new file mode 100644
index 00000000000..9fb40250d36
--- /dev/null
+++ b/net-misc/sstp-client/sstp-client-1.0.12-r1.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools linux-info
+
+DESCRIPTION="A client implementation of Secure Socket Tunneling Protocol (SSTP)"
+HOMEPAGE="http://sstp-client.sourceforge.net/"
+SRC_URI="mirror://sourceforge/sstp-client/${P}.tar.gz"
+
+LICENSE="GPL-2+-with-openssl-exception"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~arm64 x86"
+IUSE="static"
+
+DEPEND="
+	dev-libs/libevent:=
+	dev-libs/openssl:0=
+	net-dialup/ppp:=
+"
+RDEPEND="
+	${DEPEND}
+	acct-group/sstpc
+	acct-user/sstpc
+"
+BDEPEND="virtual/pkgconfig"
+
+CONFIG_CHECK="~NETFILTER_NETLINK"
+
+PATCHES=(
+	"${FILESDIR}/${P}-remove-network-test.patch"
+	"${FILESDIR}/${P}-fix-example.patch"
+)
+
+DOCS=( AUTHORS ChangeLog DEVELOPERS NEWS README TODO USING )
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	local PPPD_VER="$(best_version net-dialup/ppp)"
+	PPPD_VER=${PPPD_VER#*/*-}	# reduce it to ${PV}-${PR}
+	PPPD_VER=${PPPD_VER%%[_-]*}	# main version without beta/pre/patch/revision
+
+	local myeconfargs=(
+		--enable-ppp-plugin
+		--enable-group=sstpc
+		--enable-user=sstpc
+		--with-pppd-plugin-dir="/usr/$(get_libdir)/pppd/${PPPD_VER}"
+		--with-runtime-dir="/run/sstpc"
+		$(use_enable static)
+	)
+
+	econf "${myeconfargs[@]}"
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}


             reply	other threads:[~2021-04-17 19:20 UTC|newest]

Thread overview: 20+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-17 19:20 Conrad Kostecki [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-05-26  5:17 [gentoo-commits] repo/gentoo:master commit in: net-misc/sstp-client/ Joonas Niilola
2023-05-26  5:17 Joonas Niilola
2023-05-15 20:55 Mike Gilbert
2023-04-23  7:46 Sam James
2023-04-23  4:46 Sam James
2023-04-23  4:46 Sam James
2023-03-02 16:40 Joonas Niilola
2022-12-18 10:37 Sam James
2022-12-18 10:37 Sam James
2022-05-10 19:36 Sam James
2021-04-17 19:20 Conrad Kostecki
2017-08-14 18:33 Göktürk Yüksek
2017-08-14 18:33 Göktürk Yüksek
2017-02-24 17:48 Markus Meier
2016-12-29 17:46 Göktürk Yüksek
2016-08-25 11:35 Sergey Popov
2016-01-10 11:41 Ian Delaney
2016-01-10 11:41 Ian Delaney
2016-01-10 11:37 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1618687171.bb78b76f97c8a13d4bd3f9fcb36f2a323ee1de2d.conikost@gentoo \
    --to=conikost@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox